/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstaffachiveslog.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 档案修改日志Entity
 * @author ssrh
 * @version 2018-10-11
 */
public class WorkStaffAchivesLog extends DataEntity<WorkStaffAchivesLog> {
	
	private static final long serialVersionUID = 1L;
	private String staffId;		// 档案id
	private String module;		// 所属模块信息
	private String describes;		// 描述
	private String fields;		// 属性
	private String oldValue;		// 修改前
	private String newValue;		// 修改后
	private String applyer;		// 审批人
	private Date applyDate;		// 审批时间
	private String oldKey;		// 修改前
	private String newKey;		// 修改后
	private String sonId;		// 字表数据id
	private String type;//新增修改删除
	private String state;//

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getSonId() {
		return sonId;
	}

	public void setSonId(String sonId) {
		this.sonId = sonId;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getOldKey() {
		return oldKey;
	}

	public void setOldKey(String oldKey) {
		this.oldKey = oldKey;
	}

	public String getNewKey() {
		return newKey;
	}

	public void setNewKey(String newKey) {
		this.newKey = newKey;
	}


	
	public WorkStaffAchivesLog() {
		super();
	}

	public WorkStaffAchivesLog(String id){
		super(id);
	}

	@ExcelField(title="档案id", align=2, sort=7)
	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}
	
	@ExcelField(title="所属模块信息", align=2, sort=8)
	public String getModule() {
		return module;
	}

	public void setModule(String module) {
		this.module = module;
	}
	
	@ExcelField(title="描述", align=2, sort=9)
	public String getDescribes() {
		return describes;
	}

	public void setDescribes(String describes) {
		this.describes = describes;
	}
	
	@ExcelField(title="属性", align=2, sort=10)
	public String getFields() {
		return fields;
	}

	public void setFields(String fields) {
		this.fields = fields;
	}
	
	@ExcelField(title="修改前", align=2, sort=11)
	public String getOldValue() {
		return oldValue;
	}

	public void setOldValue(String oldValue) {
		this.oldValue = oldValue;
	}
	
	@ExcelField(title="修改后", align=2, sort=12)
	public String getNewValue() {
		return newValue;
	}

	public void setNewValue(String newValue) {
		this.newValue = newValue;
	}
	
	@ExcelField(title="审批人", align=2, sort=13)
	public String getApplyer() {
		return applyer;
	}

	public void setApplyer(String applyer) {
		this.applyer = applyer;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="审批时间", align=2, sort=14)
	public Date getApplyDate() {
		return applyDate;
	}

	public void setApplyDate(Date applyDate) {
		this.applyDate = applyDate;
	}
	
}